import { CID } from "multiformats/cid";
import { IPFS } from "ipfs-core-types";
declare function read(ipfs: IPFS, cid: any, options?: {
    timeout?: number;
    links?: string[];
}): Promise<any>;
declare function write(ipfs: IPFS, format: string, value: any, options?: {
    base?: any;
    pin?: boolean;
    timeout?: number;
    links?: string[];
}): Promise<string>;
declare function rm(ipfs: IPFS, hash: CID | string): Promise<void>;
declare const _default: {
    read: typeof read;
    write: typeof write;
    rm: typeof rm;
};
export default _default;
